<div class="main-content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="card-header card-header-danger">
            <h4 class="card-title">Actualizar Datos</h4>
            <p class="card-category">Complete su información</p>
          </div>
          <div class="card-body">
            <form class="basic-form" [formGroup]="form">
              <div class="row">
                <!-- column -->
                <div class="col-md-4">
                  <mat-form-field>
                    <input matInput placeholder="Cédula" formControlName="identification" required appNumber>
                    <mat-error
                      *ngIf="form.controls['identification'].hasError('required') && form.controls['identification'].touched"
                      class="text-danger">Este campo es obligatorio.
                    </mat-error>
                    <mat-error
                      *ngIf="form.controls['identification'].hasError('validateidentitycard')"
                      class="form-error-msg">Cédula incorrecta.
                    </mat-error>
                    <mat-error
                      *ngIf="form.controls['identification'].hasError('maxlength')"
                      class="form-error-msg">
                      El número máximo de caracteres es
                      de {{ form.controls['identification'].errors?.maxlength?.requiredLength }}
                      .
                    </mat-error>
                  </mat-form-field>
                </div>
                <!-- column -->
                <div class="col-md-4">
                  <mat-form-field>
                    <input matInput placeholder="Nombres" formControlName="names" required appLetter>
                    <mat-error *ngIf="form.controls['names'].hasError('required') && form.controls['names'].touched"
                               class="text-danger">Este campo es obligatorio.
                    </mat-error>
                  </mat-form-field>
                </div>
                <!-- column -->
                <div class="col-md-4">
                  <mat-form-field>
                    <input matInput placeholder="Apellidos" formControlName="surnames" required appLetter>
                    <mat-error
                      *ngIf="form.controls['surnames'].hasError('required') && form.controls['surnames'].touched"
                      class="text-danger">Este campo es obligatorio.
                    </mat-error>
                  </mat-form-field>
                </div>
                <!-- column -->
                <div class="col-md-4">
                  <mat-form-field>
                    <input matInput [matDatepicker]="pickerbirth" dateFormat="dd-mm-yyyy" (focus)="pickerbirth.open()"
                           [max]="maxDate" (click)="pickerbirth.open()"
                           placeholder="Fecha de nacimiento" required formControlName="birthdate"/>
                    <mat-datepicker-toggle matSuffix [for]="pickerbirth"></mat-datepicker-toggle>
                    <mat-datepicker touchUi #pickerbirth startView="multi-year"></mat-datepicker>
                    <mat-error
                      *ngIf="form.controls['birthdate'].hasError('required') && form.controls['birthdate'].touched"
                      class="text-danger">Este campo es obligatorio.
                    </mat-error>
                  </mat-form-field>
                </div>
                <!-- column -->
                <div class="col-md-4">
                  <mat-form-field>
                    <input matInput placeholder="Teléfono móvil" formControlName="mobile" mask="000-000-0000">
                    <mat-error *ngIf="form.controls['mobile'].hasError('phone')"
                               class="text-danger">Número de celular no válido.
                    </mat-error>
                    <mat-error *ngIf="form.controls['mobile'].hasError('maxlength')"
                               class="text-danger">
                      Número máximo de caracteres permitidos es de 10.
                    </mat-error>
                  </mat-form-field>
                </div>
                <!-- column -->
                <div class="col-md-4">
                  <mat-form-field class="full-width">
                    <input matInput placeholder="Correo electrónico" formControlName="email">
                    <mat-error
                      *ngIf="form.controls['email'].hasError('email')"
                      class="text-danger">Correo eléctronico no válido.
                    </mat-error>
                    <mat-error *ngIf="form.controls['email'].hasError('required') && form.controls['email'].touched"
                               class="text-danger">Este campo es obligatorio.
                    </mat-error>
                  </mat-form-field>
                </div>
                <!-- column -->
                <div class="col-md-8">
                  <mat-form-field>
                    <input matInput placeholder="Dirección de domicilio" formControlName="address">
                    <mat-error *ngIf="form.controls['address'].hasError('maxlength')"
                               class="text-danger">
                      Número máximo de caracteres permitidos es de 50.
                    </mat-error>
                  </mat-form-field>
                </div>
                <!-- column -->
                <div class="col-md-4">
                  <mat-form-field>
                    <mat-select formControlName="statusvaccineId" placeholder="Estado de vacunación" required
                                (selectionChange)="changeStatus($event.value)">
                      <mat-option *ngFor="let status of listStatus" [value]="status.id">
                        {{ status.description }}
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="form.controls['statusvaccineId'].hasError('required') &&
                    form.controls['statusvaccineId'].touched" class="text-danger">
                      Este campo es obligatorio.
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-md-12" *ngIf="form.get('statusvaccineId').value == constants.STATUS_VACCINE">
                  <div class="row">
                    <!-- column -->
                    <div class="col-md-4">
                      <mat-form-field>
                        <mat-select formControlName="typeVaccineId" placeholder="Tipo de vacuna" required>
                          <mat-option *ngFor="let type of listType" [value]="type.id">
                            {{ type.description }}
                          </mat-option>
                        </mat-select>
                        <mat-error *ngIf="form.controls['typeVaccineId'].hasError('required') &&
                    form.controls['typeVaccineId'].touched" class="text-danger">
                          Este campo es obligatorio.
                        </mat-error>
                      </mat-form-field>
                    </div>
                    <!-- column -->
                    <div class="col-md-4">
                      <mat-form-field>
                        <input matInput [matDatepicker]="datepicker" dateFormat="dd-mm-yyyy" (focus)="datepicker.open()"
                               [max]="maxDate" (click)="datepicker.open()"
                               placeholder="Fecha de vacunación" required formControlName="vaccinedate"/>
                        <mat-datepicker-toggle matSuffix [for]="datepicker"></mat-datepicker-toggle>
                        <mat-datepicker touchUi #datepicker></mat-datepicker>
                        <mat-error
                          *ngIf="form.controls['vaccinedate'].hasError('required') && form.controls['vaccinedate'].touched"
                          class="text-danger">Este campo es obligatorio.
                        </mat-error>
                      </mat-form-field>
                    </div>
                    <!-- column -->
                    <div class="col-md-4">
                      <mat-form-field>
                        <input matInput placeholder="Número de dosis" formControlName="numberdoses" required appNumber>
                        <mat-error
                          *ngIf="form.controls['numberdoses'].hasError('required') &&
                      form.controls['numberdoses'].touched" class="text-danger">
                          Este campo es obligatorio.
                        </mat-error>
                      </mat-form-field>
                    </div>
                  </div>
                </div>
              </div>
              <button mat-raised-button color="primary" class="pull-right" (click)="save()">Actualizar</button>
              <div class="clearfix"></div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
